astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- GCRS

# GCRS

class `astropy.coordinates.``GCRS`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate or frame in the Geocentric Celestial Reference System (GCRS).

  GCRS is distinct form ICRS mainly in that it is relative to the Earth’s center-of-mass rather than the solar system Barycenter. That means this frame includes the effects of abberation (unlike ICRS). For more background on the GCRS, see the references provided in the See Also section of the documentation. (Of particular note is Section 1.2 of USNO Circular 179)

  This frame also includes frames that are defined relative to the Earth, but that are offset (in both position and velocity) from the Earth.

  This frame has these frame attributes:

  - `obstime`

      The time at which the observation is taken. Used for determining the position of the Earth.

  - `obsgeoloc`

      3-vector giving the position of the observer relative to the center-of-mass of the Earth, oriented the same as BCRS/ICRS. Defaults to 0, meaning “true” GCRS.

  - `obsgeovel`

      3-vector giving the velocity of the observer relative to the center-of-mass of the Earth, oriented the same as BCRS/ICRS. Defaults to 0, meaning “true” GCRS.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  ra : `Angle`, optional, must be keyword

  > The RA for this object (`dec` must also be given and `representation` must be None).

  dec : `Angle`, optional, must be keyword

  > The Declination for this object (`ra` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |
  `obsgeoloc` |
  `obsgeovel` |
  `obstime` |

  Attributes Documentation

  `default_representation`
  `frame_attributes` = OrderedDict([('obstime', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a458190>), ('obsgeoloc', <astropy.coordinates.baseframe.QuantityFrameAttribute object at 0x7f523a4581d0>), ('obsgeovel', <astropy.coordinates.baseframe.QuantityFrameAttribute object at 0x7f523a458250>)])
  `frame_specific_representation_info`
  `name` = 'gcrs'
  `obsgeoloc` = <Quantity [ 0., 0., 0.] m>
  `obsgeovel` = <Quantity [ 0., 0., 0.] m / s>
  `obstime` = <Time object: scale='utc' format='jyear_str' value=J2000.000>